public class Pesel {
    public static boolean checkPesel(String pesel) {
        return (len(pesel) && checksum(pesel) && dayOfBirth(pesel));
    }

    public static boolean checksum(String pesel) {
        int[] multipliers = {1, 3, 7, 9, 1, 3, 7, 9, 1, 3, 1};
        int sum = 0;

        for(int i = 0; i < 11; i++) {
            sum += multipliers[i] * Integer.valueOf(pesel.charAt(i));
        }

        if(sum % 10 == 0) {
            return true;
        }
        else {
            return false;
        }
    }

    public static boolean dayOfBirth(String pesel) {
        String dayOfBirthStr = pesel.substring(4,6);
        int dayOfBirth = Integer.valueOf(dayOfBirthStr);
        if(dayOfBirth > 0 && dayOfBirth < 32) {
            return true;
        }
        else {
            return false;
        }
    }

    public static boolean len(String pesel) {
        if(pesel.length() == 11) {
            return true;
        }
        else {
            return false;
        }
    }
}
