import java.io.File;
import java.util.ArrayList;
import java.util.List;
import java.util.Scanner;

public class Read {
    public static void read(File file) {
        String continuteInput;
        Scanner read = new Scanner(System.in);

        while(true) {
            List<String> personalInfo = new ArrayList<String>();
            System.out.print("Podaj miasto: ");
            String city = read.nextLine();
            personalInfo.add(city);

            System.out.print("Podaj imię, nazwisko, PESEL (oddzielone spacjami): ");
            String data = read.nextLine();
            for (String d : data.split(" ")) {
                personalInfo.add(d);
            }

            if(!Pesel.checkPesel(personalInfo.get(3))) {
                System.out.println("Wprowadzony PESEL jest niepoprawny.");
            }
            else {
                boolean saved = Overwrite.checkIfPeselExists(file, personalInfo);

                if(!saved) {
                    if(Write.write(file, personalInfo)){
                        System.out.println("Osoba dodana do listy.");
                    }
                    else {
                        System.out.println("Problem z zapisem osoby do listy.");
                    }
                }
            }
            System.out.print("Chcesz kontynuować? [t/n] ");
            continuteInput = read.nextLine();
            if(continuteInput.equals("n")) {
                break;
            }
        }
        read.close();
    }
}
